"use strict";

$(document).ready(function () {   
    const identifier = localStorage.getItem('opensong-identifier');
    const lastIdentifier = localStorage.getItem('opensong-last-identifier');
    if(identifier === null) {
        localStorage.setItem('opensong-identifier', 1);
    }
    loadImage();
    preload(1, lastIdentifier);
});

window.addEventListener('storage', () => {
    loadImage();
});

function loadImage() {
    const identifier = localStorage.getItem('opensong-identifier');
    const url = `http://localhost:8082/presentation/slide/${identifier}/image/width:1920/height:1080/quality:30`;
    $("#opensong-slide").attr("src", url);
}

function preload(start, end) {
    var images = new Array();
    for (i = start; i < end; i++) {
        images[i] = new Image();
        images[i].src = 'http://localhost:8082/presentation/slide/'+i+'/image/width:1920/height:1080/quality:30';
    }
}